h3 {
    margin-top: 40px;
    margin-bottom: 25px;
}

h4 {
    margin-top: 25px;
    font-weight: bold;
    font-size: 16px;
    color: #555;
}

.article {
    margin-top: 30px;
    min-height: 900px;
}

.article img {
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.article-date {
    color: #999;
    padding: 0;
}

.code-block {
    font-family: "Lucida Console", Monaco, monospace;
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 0px 10px 15px 10px;
    margin: 0px 0px 20px 0px;
    background-color: #f5f5f5;
    color: #333;
    white-space: pre;
    font-size: 12px;
    line-height: 1.7;
}